/*
 * filebrowser.c - Browser files 
 *
 * Copyright (C) 2012-2013  Davide Parise <bubini.mara5@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * All function share the same working path for simplify the send operation.
 * If want to know content of directory just set current path to the directory and scan it
 * whit changeDir() function and passing argument name=NULL
*/

#ifndef FILEBROWSER_H
#define FILEBROWSER_H

#include <dirent.h>

/*
 * scan path and store result in struct dirent
*/
//int simple_scandir(char *path,struct dirent ***result);

/* 
 * initialize structure 
 * pah is set to $HOME is the working path and all functions refer to it
*/
void init_filebrowser();

/*
 * free all resources 
*/
void free_filebrowser();

/*
 * set working path to the path passed by argument
*/
void setCurrentPath(char *path);

/* set and get default path */
void setCurrentPathHome();
void setCurrentPathMusic();
void setCurrentPathVideo();
void setCurrentPathMedia();
void setCurrentPathLBCS();
char *getCurrentPathHome();
char *getCurrentPathMusic();
char *getCurrentPathVideo();
char *getCurrentPathMedia();
char *getCurrentPathLBCS();
char *getCurrentPath();


/* 
 * change directory:
 * really store contenent of the current path in the structure passed by argument 
 * this functions called setCurrentPath*() and after changeDir whit argument name NULL
*/
int changeDirHome(struct dirent ***name_list);
int changeDirMusic(struct dirent ***name_list);
int changeDirVideo(struct dirent ***name_list);
int changeDirImages(struct dirent ***name_list);
/* 
 * change directory 
 * the argument name must be a name contenent in the current path or NULL
*/
int changeDir(char *name,struct dirent ***name_list);

/* 
 * execute function f passed by argument to all element of the directory 
 * name passed by argument contenent in the curernt path 
 */
int computeRecursiveDir(char *dirName,int(*f)(char*));

#endif
