/*
 * Davide Parise - Info about the local user directories extract from the file user_dirs.dirs
 * 
 * Copyright (C) 2012-2013  Davide Parise <bubini.mara5@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef USER_DIR_H
#define USER_DIR_H

/* contains default user path */
typedef struct {
	char *home;
	char *lbcs;	/* local folder where store and read data */
	char *music;
	char *video;
	char *pict;
	char *doc;
}user_dirs_t;


/*
 * Print the default user dirs passing by argument
*/
void print_user_dirs(user_dirs_t *user_dir);

/*
 * initialize structure that contain the commons user default path.
 * Read the file "~/.config/user-dirs.dirs" if exist and store data into structure 
 * otherwise return a structure whit the $HOME value for all entry. 
 * If an error occur a NULL value is returned
*/
user_dirs_t *init_user_dirs();

/*
 * Dealloc structur user_dirs_t
*/
void free_user_dirs(user_dirs_t *user_dirs);

#endif

