/*
 * mouse.c - Mouse and Keyboard functions - Provide communication whit xlib
 *
 * Copyright (C) 2012-2013  Davide Parise <bubini.mara5@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *
 * It is born for mouse functions whit xlib library
 * Now it implement more function how it is an extended class of xlib
 * For use it remeber to call before mouse_start() and when finish mouse_end()
 * 
*/

#ifndef MOUSEMOVE_H
#define MOUSEMOVE_H

//#include <stdio.h>

#include <X11/Xlib.h>

/* defined in xlib */
#define MOUSE_BUTTON_RIGHT	Button3
#define MOUSE_BUTTON_MIDDLE	Button2
#define MOUSE_BUTTON_LEFT	Button1

int init_mouse();	/* do nothing */
void free_mouse();	/* do nothing */
/* 
 * initalize data and structure
 * must be call it berfore all ather calls
*/
int mouse_start();
/* free and release structures */
void mouse_end();

/* mouse functions */
void mouse_move(int x, int y);
void mouse_press(unsigned int button);
void mouse_release(unsigned int button);
void mouse_click(unsigned int button);
void mouse_moveInCenter();

/* keyboard functions */
void key_press(unsigned int keysym);
void key_relase(unsigned int keysym);
void key_click(unsigned int keySym);

/* other functions */
/* 
 * set xlib to send event when a new window is created 
*/
void set_window_sendevent_create();
void unset_windows_sendevent();
int wait_window_create(char *name);


#endif

