/*
 * command.h - Command to send 
 *
 * Copyright (C) 2012-2013  Davide Parise <bubini.mara5@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *
 *	Output of the help
VLC media player 0.8.6e Janus
VLC versione 0.8.6e Janus

+----[ Comandi di controllo remoto ]
| 
| add XYZ  . . . . . . . . . . add XYZ to playlist
| enqueue XYZ  . . . . . . . queue XYZ to playlist
| playlist . . .  show items currently in playlist
| play . . . . . . . . . . . . . . . . play stream
| stop . . . . . . . . . . . . . . . . stop stream
| next . . . . . . . . . . . .  next playlist item
| prev . . . . . . . . . .  previous playlist item
| goto . . . . . . . . . . . .  goto item at index
| clear . . . . . . . . . . .   clear the playlist
| status . . . . . . . . . current playlist status
| title [X]  . . . . set/get title in current item
| title_n  . . . . . .  next title in current item
| title_p  . . . .  previous title in current item
| chapter [X]  . . set/get chapter in current item
| chapter_n  . . . .  next chapter in current item
| chapter_p  . .  previous chapter in current item
| 
| seek X . seek in seconds, for instance `seek 12'
| pause  . . . . . . . . . . . . . .  toggle pause
| fastforward  . . . . . .  .  set to maximum rate
| rewind  . . . . . . . . . .  set to minimum rate
| faster . . . . . . . .  faster playing of stream
| slower . . . . . . . .  slower playing of stream
| normal . . . . . . . .  normal playing of stream
| f [on|off] . . . . . . . . . . toggle fullscreen
| info . . .  information about the current stream
| get_time . . secondi trascorsi dall'inizio del flusso
| is_playing . .  1 if a stream plays, 0 otherwise
| get_title . . .  the title of the current stream
| get_length . .  the length of the current stream
| 
| volume [X] . . . . . . . .  set/get audio volume
| volup [X]  . . . . .  raise audio volume X steps
| voldown [X]  . . . .  lower audio volume X steps
| adev [X] . . . . . . . . .  set/get audio device
| achan [X]. . . . . . . .  set/get audio channels
| atrack [X] . . . . . . . . . set/get audio track
| vtrack [X] . . . . . . . . . set/get video track
| vratio [X]  . . . . . set/get video aspect ratio
| vcrop [X]  . . . . . . . . .  set/get video crop
| vzoom [X]  . . . . . . . . .  set/get video zoom
| strack [X] . . . . . . . set/get subtitles track
| menu [on|off|up|down|left|right|select] use menu
| 
| help . . . . . . . . . . . . . this help message
| longhelp . . . . . . . . . a longer help message
| logout . . . . .  exit (if in socket connection)
| quit . . . . . . . . . . . . . . . . .  quit vlc
| 
+----[ fine della guida ]

*/

#ifndef COMMAND_H
#define COMMAND_H

#define VLCRC_CMD_ADD		1
#define VLCRC_CMD_ENQUEUE	2
#define VLCRC_CMD_PLAYLIST	3
#define VLCRC_CMD_PLAY		4
#define VLCRC_CMD_STOP		5
#define VLCRC_CMD_NEXT		6
#define VLCRC_CMD_PREV		7
#define VLCRC_CMD_GOTO		8
#define VLCRC_CMD_CLEAR		9
#define VLCRC_CMD_STATUS	10
#define VLCRC_CMD_TITLE		11
#define VLCRC_CMD_TITLE_N	12
#define VLCRC_CMD_TITLE_P	13
#define VLCRC_CMD_CHAPTER	14
#define VLCRC_CMD_CHAPTER_N	15
#define VLCRC_CMD_CHAPTER_P	16

#define VLCRC_CMD_SEEK		17
#define VLCRC_CMD_PAUSE		18
#define VLCRC_CMD_FASTFORWARD	19
#define VLCRC_CMD_REWIND	20
#define VLCRC_CMD_FASTER	21
#define VLCRC_CMD_SLOWER	22
#define VLCRC_CMD_NORMAL	23
#define VLCRC_CMD_F		24
#define VLCRC_CMD_INFO		25
#define VLCRC_CMD_GET_TIME	26
#define VLCRC_CMD_IS_PLAYING	27
#define VLCRC_CMD_GET_TITLE	28
#define VLCRC_CMD_GET_LENGTH	29

#define VLCRC_CMD_VOLUME	30
#define VLCRC_CMD_VOLUP		31
#define VLCRC_CMD_VOLDOWN	32
#define VLCRC_CMD_ADEV		33
#define VLCRC_CMD_ACHAN		34
#define VLCRC_CMD_ATRACK	35
#define VLCRC_CMD_VTRACK	36
#define VLCRC_CMD_VRATIO	37
#define VLCRC_CMD_VCROP		38
#define VLCRC_CMD_VZOOM		39
#define VLCRC_CMD_STRACK	40
#define VLCRC_CMD_MENU		41

#endif

