/*
 * vlcrc.c - Control VLC program by unix socket
 *
 * Copyright (C) 2012-2013  Davide Parise <bubini.mara5@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *
 * Start execution of an instance the vlc programm by rc control.
 * Using a local socket to send and read command from and to vlc.
*/

#ifndef VLCRC_H
#define VLCRC_H

/* Functions for run kill and get status of vlc instance 
 * (!ps error. name must end whitouth rc!)
 */
void init_vlcrc();
int start_vlcrc();
int quit_vlcrc();
int toggle_vlcrc();
int getIsStartVlcrc();

/************/
/* playlist */
/************/
struct list_t *getPlaylist();	/* added at the last time */
int compute(char *name,int command);
int enqueueFile(char *name);
int addFile(char *name);
int enqueueDir(char *name);
int addDir(char *name);

int clearPlst();
int next();
int prev();
int gotoPlstS(char *index);
int gotoPlstI(int index);

/* execution */
int play();
int pause();
int stop();
int volup(char *step);
int voldown(char *step);
int volmute();
int seek(char *sec);
int jumpI(int sec);
int fullscreen(char *state);

#endif

