/*
 * systemControll.c - Shutdown and Restart the system by command shutdown
 *
 * Copyright (C) 2012-2013  Davide Parise <bubini.mara5@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *
 * log-out is plataform dependent for this is not util
*/

#include <stdio.h>
#include <stdlib.h>
#include <signal.h>
#include <unistd.h>


#include "systemControll.h"

char *ARGV_LOGOUT[] = {"--logout","--no-prompt"};

/*
 * Thi shut down the system
 * for this call a shutdown root program
 * 
*/
int system_shutdown(){
	pid_t pid,ppid;
	
	ppid = getpid();
	pid = fork();
	if(pid<0){
		perror("Errore fork\n");
		return -1;
	}
	else if(pid == 0){
		/* child */
		fprintf(stdout,"System commands: shutdown after 10 seconds\n");
		sleep(5);
		kill(ppid,SIGINT);	/* send signal to kill father */
		sleep(5);
#ifndef NO_SUDO
		int r = execlp("sudo","sudo","shutdown","now",(char*)NULL);
#else
		int r = execlp("shutdown","shutdown","now",(char*)NULL);
#endif
		if(r==-1){
			perror("system shutdown error\n");
			return -1;
		}
		exit(0);	/* never here */
	}

	return 0;
}

/* dupliucate function is the same as shutdown change only param passed to exec */
int system_restart(){
	pid_t pid,ppid;

	ppid = getpid();	/* current process */
	pid = fork();
	if(pid<0){
		perror("Errore fork\n");
		return -1;
	}
	else if(pid == 0){
		/* child */
		fprintf(stdout,"System commands: restart after 10 seconds\n");
		sleep(5);
		kill(ppid,SIGINT);	/* send signal to kill father */
		sleep(5);
#ifndef NO_SUDO
		int r = execlp("sudo","sudo","shutdown","-r","now",(char*)NULL);
#else
		int r = execlp("shutdown","shutdown","-r","now",(char*)NULL);
#endif

		if(r==-1){
			perror("CHILD ERROR\n");
			return -1;
		}
		exit(0);	/* child exit - never here */
	}
	/* boss continue */
	return 0;

}

/* THIS WORK ONLY FOR GNOME --> CHANGE TO MULTI */
int system_logout(){
	pid_t pid,child;

	pid = fork();
	if(pid<0){
		perror("Error fork\n");
		return -1;
	}
	else if(pid == 0){
		fprintf(stdout,"logout\n");

		int r = execvp("gnome-session-quit",ARGV_LOGOUT);
		if(r==-1){
			perror("CHILD ERROR\n");
			return -1;
		}
	}
	wait(&child);
	if(child<0){
		fprintf(stderr,"logout failed\n");
		return -1;
	}

	return 0;
}


