/*
 * symplePrint.c - Print and Log functions that can be enable or disable at run-time
 *
 * Copyright (C) 2012-2013  Davide Parise <bubini.mara5@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * completed but not used for now
*/

#ifndef SYMPLEPRINT_H
#define SYMPLEPRINT_H

#define PRINT_OFF	0x00	/* print nothing */
#define PRINT_ERR	0x01	/* only print err <enable by default> */
#define PRINT_ALL	0x02	/* print err and std */

#define LOG_OFF		0x00	/* log diabled */
#define LOG_ON		0x01	/* write int log */

/* 
 * Initialize simple mode of printing. Change it default mode at run-time by set_mode_* functions
 * By default is:
 *	print_mode: print only error to stderr
 *	log_mode: is disabled
 *
*/
void init_symple_print();
/*
 * Enable or disable print finctions
 * @parm: can do one of PRINT_*
*/
void set_mode_print(int enable_print);
/*
 * Enable or disable log
 * @param: 
 *	enable_log -> can do ont of LOG_*
 *	path -> if log is enable the path of store the file log
*/
void set_mode_log(int enable_log,char *path);
/*
 * Free resuorces 
*/
void free_symple_print();

/* 
 * Symple Print function 
*/
int (*symple_print)(FILE*,const char*,...);	

/* Print in the standard output the mode of print and log */
void print_printlog_mode();
#endif

