#!/bin/bash
# permission_shutdown.sh
# Allow the sudo user passed by argument to execute shutdown command whitouth password
# Please read README file before lunch it

USER=""
USERID=$(id -u)
CMD=$(whereis -b shutdown | cut -d' ' -f2)
SUDO=$(whereis -b sudo | cut -d' ' -f2)
SUDOFILECONF="/etc/sudoers"
GROUPADD=$(whereis -b groupadd | cut -d' ' -f2)
USERMOD=$(whereis -b usermod | cut -d' ' -f2)
GROUPNAME="lbcs"
EXISTLBCS=0

# Check user
if test $# != 1
then 
	echo "usage:"
	echo "$0 users"
	exit -1
else
	USER=$1
fi

if test $USERID != 0
then
	echo "Must be root"
	  exit -1
fi

#check config file
if test -f $SUDOFILECONF
then
	echo "file conf $SUDOFILECONF found"
else
	echo "file conf for sudo Not found"
	echo "Error"
	exit -1
fi

# Check Command
if test -f $SUDO
then
	echo "command $SUDO found"
else
	echo "command sudo Not Found"
	echo "try install sudo package"
	exit -1
fi

if test -f $CMD
then
	echo "command $CMD found"
else
	echo "command shutdon Not found.Exit "
	exit -1
fi

if test -f $GROUPADD
then
	echo "Command $GROUPADD found"
else
	echo "Command groupadd Not found"
	exit -1
fi

if test -f $USERMOD
then
	echo "Command $USERMOD found"
else
	echo "Command usermod not found"
	exit -1
fi

# Execute Commands

echo "Adding permission to users $USER to execute:"
echo "- command $CMD whit $SUDO whitouth password"

# Create new group if not exist
$GROUPADD $GROUPNAME
if test $? == 0
then
	echo "Write config flie $SUDOFILECONF"
	echo "# Allow $GROUPNAME to shutdown system whitouth password " >> $SUDOFILECONF
	echo "%$GROUPNAME ALL= NOPASSWD: $CMD" >> $SUDOFILECONF
else
	echo "$GROUPNAME exist"
fi

# Check if user is in group lbcs
LBCS=$(groups $USER | grep $GROUPNAME)
for element in $LBCS
do
	if test $element == $GROUPNAME
	then
		echo "Group $GROUPNAME Found Exit"
		exit 0
	fi
done

# Adding user in group

	echo "Adding $USER to Group $GROUPNAME"
	$USERMOD -a -G $GROUPNAME $USER

exit 0


