/*
 * io.c - Provide function for read and write messages by unix socket
 *
 * Copyright (C) 2012-2013  Davide Parise <bubini.mara5@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * All I/O socket call are blocking
*/

#ifndef IO_H
#define IO_H

#include "msg.h"

/* initialize the input output whit socket */
void set_client_io(int socket);

/* 
 * read message and store it in .. pointed by msg
 * blocking call while message is readed 
 * @param:
 *	msg: a pointer where a message readed is stored
 * @return:
 *	number of byte readed or -1 if error 
*/
int read_msg(msg_t **msg);


/* 
 * send message pointer by msg to client 
 * @param:
 *	msg: a pointer to msg to send
 * @return:
 *	number of byte sended or value <0 if error 
*/
int send_msg(msg_t *msg);


#endif
