
/* 
 * switcher.c - Core of protocoll comunication between server and client 
 * read messages and select service/application 
 *
 * Copyright (C) 2012-2013  Davide Parise <bubini.mara5@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
*/

#ifndef SWITCHER_H
#define SWITCHER_H

#include <stdint.h>

/* service */
void init_app_service();
int register_app_service(uint8_t service_id,char *name,char *desc,void (*handler));
void unregister_app_service(uint8_t service_id);
void unregister_apps_service();
void print_app_service(uint8_t service_id);
void print_all_app_service();

/* switcher */
void init_switcher();
void start_server();

#endif


